Bug 184038 - Missing -Wl,--export-dynamic in .pc file
Missing -Wl,--export-dynamic in .pc file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libglade2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks: 184001
  Show dependency treegraph
 
Reported: 2006-03-05 04:58 EST by Denis Leroy
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 14:46:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
libglade-2.0.pc patch with --export-dynamic (413 bytes, patch)
2006-03-05 05:11 EST, Denis Leroy
no flags Details | Diff

  None (edit)
Description Denis Leroy 2006-03-05 04:58:41 EST
The file libglade-2.0.pc is missing this export-dynamic link option.

This is bug http://bugzilla.gnome.org/show_bug.cgi?id=328443

This means application linked against libglade2 do not find their custom
handlers, such as a custom creation function specified in a glade XML file. This
bug manifested itself with regexxer (see bug 184001).
Comment 1 Denis Leroy 2006-03-05 05:11:44 EST
Created attachment 125666 [details]
libglade-2.0.pc patch with --export-dynamic
Comment 2 Matthias Clasen 2006-07-27 14:46:45 EDT
Not all libglade-using apps need --export-dynamic, only those that make use
of the signal-autoconnection feature of libglade.

Note You need to log in before you can comment on or make changes to this bug.